#include<bits/stdc++.h>
using namespace std;
int main(){
    int Cas=0;
    while (true){
        cerr<<"Cas="<<(++Cas)<<'\n';
        system("./gen");
        system("./bf");
        system("./plant");
        if (system("diff plant.out plant.ans")){
            cerr<<"Wrong Answer!\n";
            break;
        } else cerr<<"ok\n";
    }
    return 0;
}